///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Three, Easy Supplementary - question 11 [worth 3pts],  7/7/2002
//
//  y and n input from questionnairs.  Print one of three messages.


#include <iostream>
#include <iomanip>

void main()
{
	char c = '\0';
	bool shouldBeFired  = true,     // flag for should be fired
	     shouldGetBonus = true;     // flag for should get bonus
	 
	cin.unsetf(ios::skipws);		// unset skip whitespace
	
	do {
		cin >> c;					// get input from keyboard  ( see also get() )
		
		if (c == 'y')
			shouldBeFired = false;	// salesperson should not be fired
		else if (c == 'n')
			shouldGetBonus = false; // salesperson should not get bonus
	    	
	} while ( c != '\n' );			// loop until newline
	
	// print result
	if (shouldBeFired && shouldGetBonus)
		; // no valid input
	else if (shouldBeFired)
		cout << "Salesperson should be fired" << endl;
	else if (shouldGetBonus)
		cout << "Salesperson should recieve a bonus of $1000" << endl;
	else
		cout << "Salesperson should be encouraged to improve" << endl;
}
